Get Contact Variables
Fetch the custom variables stored on a contact and its account.
Requires the contacts:read scope on the API key.
GET
/
v1
/
contacts
/
{contact_id}
/
variables
Get Contact Variables
curl --request GET \
--url https://api.topo.io/v1/contacts/{contact_id}/variables \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contacts/{contact_id}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contacts/{contact_id}/variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"contact_variables": {},
"account_variables": {}
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the contact.
Response
200 - application/json
Successful Response
Was this page helpful?
⌘I
Get Contact Variables
curl --request GET \
--url https://api.topo.io/v1/contacts/{contact_id}/variables \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contacts/{contact_id}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contacts/{contact_id}/variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"contact_variables": {},
"account_variables": {}
}